Subject: bug#60418: [PATCH] Add :vc keyword to use-package

From: Felician Nemeth <[email-masked]>
Date: Sat, 08 Apr 2023 11:25:49 +0200

Philip Kaludercic <[email-masked]> writes:

> package-vc can check out the latest revision that bumped the version tag
> (which is what {Non,}GNU ELPA uses to create new versions of a package),
> you just need to call `package-vc-install' with `:last-release' as REV.
> So the technical means are there.
>
> But if this is done, the question what advantage this has over just
> installing a tarball this has?  You would almost always get the same
> code.

Convenience, I suppose.  You can copy your init file to a new machine,
and it will work.

> [...] All I want to understand is the motivation behind this feature
> in the first place.

One use-case is to let package developers to distribute thier packages
without a package archive.  Or more precisely, to let users conveniently
install packages that are not in a package archive.